<?php
$LIMPIAR=0;
$SYS_FOC="CboEmp";
//-------------------------------------------------------------------------
$StrEmp=V($_POST['CboEmp']);
$StrNom=V($_POST['TxtNom']);
$StrObs=V($_POST['TxtObs']);		
$StrDir=V($_POST['TxtDir']);
$StrTel=V($_POST['TxtTel']);
$Fun=V($_POST['Funcion']);
//+++++++++++++++++++++++++++++++++
$GDir=V($_POST['GDir']);
$GDep=V($_POST['GDep']);
$GPro=V($_POST['GPro']);
$GDis=V($_POST['GDis']);
$GUbi=V($_POST['GUbi']);
//+++++++++++++++++++++++++++++++++
if(strlen($StrEmp)==0)$StrEmp=GE("S");
//+++++++++++++++++++++++++++++++++
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$StrEmp=gs("ENC","vis_almacenes","IDA=$Id");		
	$StrNom=gs("alm_nombre","almacenes","id_almacen=$Id");		
	$StrObs=gs("alm_obs","almacenes","id_almacen=$Id");		
	$StrDir=gs("alm_dir","almacenes","id_almacen=$Id");	
	$StrTel=gs("alm_tel","almacenes","id_almacen=$Id");	
	$Fun=gs("alm_fun","almacenes","id_almacen=$Id");
	//
	$GDir=gs("alm_gdir","almacenes","id_almacen=$Id");	
	$GDep=gs("alm_gdep","almacenes","id_almacen=$Id");
	$GPro=gs("alm_gpro","almacenes","id_almacen=$Id");
	$GDis=gs("alm_gdis","almacenes","id_almacen=$Id");
	$GUbi=gs("alm_gubi","almacenes","id_almacen=$Id");
	//
	$LStrFoc="document.getElementById('TxtNom').focus();";				
}	
//-------------------------------------------------------------------------
if($StrCmd=="G" || $StrCmd=="M"){
	$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
}
//-------------------------------------------------------------------------
if($StrCmd=="G"){		
	if(GetC("almacenes","alm_nombre='$StrNom'")>0){
		$SYS_MSG="Nombre del almacen ya esta registrado";
		$SYS_FOC="TxtNom";
		$OK=0;	
	}
	if(GetC("almacenes","alm_obs='$StrObs'")>0){
		$SYS_MSG="Almacen (Nombre corto) ya esta registrado";
		$SYS_FOC="TxtObs";
		$OK=0;	
	}
	//
	if($OK==1){
		$Id=GenId("id_almacen","almacenes");
		$s="INSERT INTO almacenes 
			VALUES ($Id,'$StrNom','$StrObs','$StrDir',$StrEmp_,'$Fun',
			'$StrTel','$GDir','$GDep','$GPro','$GDis','$GUbi')";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_almacenes.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","ALMACENES","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT			
		$qqq=ejt("DELETE FROM stocks WHERE id_almacen=$Id");
		BIT_DET_ADD($_BIT_ID,$qqq);
		//
		$s="SELECT id_producto FROM productos ORDER by id_producto";
		$result = grs($s);
		while ($row = $result->fetch_row()){
			STOCK_ADD($Id,$row[0],0);
		}
		//		
		$SYS_MSG="Datos Guardados";
		$SYS_FOC="CboEmp";
		$LIMPIAR=1;
	}
}
//-------------------------------------------------------------------------
if($StrCmd=="M"){	
	if(GetC("almacenes","alm_nombre='$StrNom' AND id_almacen<>$StrId")>0){
		$SYS_MSG="Nombre del almacen ya esta registrado";
		$SYS_FOC="TxtNom";
		$OK=0;	
	}	
	if($OK==1){	
		if(GetC("almacenes","alm_obs='$StrObs' AND id_almacen<>$StrId")>0){	
			$SYS_MSG="Almacen (Nombre corto) ya esta registrado";
			$SYS_FOC="TxtObs";
			$OK=0;	
		}
	}
	//
	if($OK==1){
		$ALM_ID_EMP=gn("alm_id_empresa","almacenes","id_almacen=$StrId");		
		if($StrEmp_!=$ALM_ID_EMP){
			$VAL_MSG=ALM_SE_PUEDE_MODIFICAR($StrId);
			if($VAL_MSG!="OK"){
				$SYS_MSG=$VAL_MSG;
				$SYS_FOC="TxtObs";
				$OK=0;
			}
		}
	}
	//++++
	if($OK==1){
		$s="UPDATE almacenes SET alm_nombre='$StrNom',
			alm_obs='$StrObs',alm_dir='$StrDir',
			alm_id_empresa=$StrEmp_ , alm_fun='$Fun',
			alm_tel='$StrTel',
			alm_gdir='$GDir',alm_gdep='$GDep',alm_gpro='$GPro',
			alm_gdis='$GDis',alm_gubi='$GUbi'
			WHERE id_almacen=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_almacenes.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","ALMACENES","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT			
		$SYS_MSG="Datos Actualizados";
		$SYS_FOC="CboEmp";
		$LIMPIAR=1;
	}
}
//-------------------------------------------------------------------------
if($StrCmd=="E"){
	$VAL_MSG=ALM_SE_PUEDE_MODIFICAR($StrId);
	if($VAL_MSG!="OK"){
		$SYS_MSG=$VAL_MSG;
		$SYS_FOC="TxtNom";
		$OK=0;
	}
	//
	if($OK==1){
		$s="DELETE FROM almacenes WHERE id_almacen=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_almacenes.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","ALMACENES","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT			
		$SYS_MSG="Datos Eliminados";
		$SYS_FOC="CboEmp";
		$LIMPIAR=1;
	}
	
}
//-------------------------------------------------------------------------
if($StrCmd=="L"){
	$LIMPIAR=1;
}
//-------------------------------------------------------------------------
if($LIMPIAR==1){
	$StrId="";
	$StrNom="";
	$StrObs="";
	$StrDir="";	
	$StrTel="";
	$Fun="";
	$GDir="";
	$GDep="";
	$GPro="";
	$GDis="";
	$GUbi="";
	$OK=0;
}
//-------------------------------------------------------------------------
?>